Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Plugin Development Environment (PDE) » productBuild.xml requiring unncessary plugins?
productBuild.xml requiring unncessary plugins? [message #731322] Fri, 30 September 2011 15:26 Go to next message
David Wynter is currently offline David Wynter
Messages: 4552
Registered: July 2009
Senior Member
Hi,

We have a build.xml that uses productBuild.xml

[java] Buildfile:
/home/david/opt2/eclipse/plugins/org.eclipse.pde.build_3.7.0.v20110512-1320/scripts///productBuild/productBuild.xml
[java] main:
[java] preBuild:
[java] [mkdir] Created dir: /home/david/pde/build
[java] preSetup:
[java] checkLocalMaps:
[java] getMapFiles:
[java] postSetup:
[java] checkLocalBase:
[java] getBaseComponents:
[java] processRepos:
[java] generateFeature:
[java] fetch:
[java] generateFeature:

Then some way down I get these errors.

[java] [eclipse.generateFeature] Bundle org.eclipse.net4j.buddies.chat:
[java] [eclipse.generateFeature] Another singleton version
selected: org.eclipse.net4j.buddies.chat_4.0.0.v20110516-1727
[java] [eclipse.generateFeature] Bundle
org.eclipse.emf.cdo.dawn.codegen.dawngenmodel.gmf.ui:
[java] [eclipse.generateFeature] Missing required plug-in
org.eclipse.emf.cdo.dawn.codegen.dawngenmodel.gmf.edit_[1.0.0,2.0.0).
[java] [eclipse.generateFeature] Missing required plug-in
org.eclipse.emf.cdo.dawn.codegen.dawngenmodel.gmf_[1.0.0,2.0.0).
[java] [eclipse.generateFeature] Bundle
org.eclipse.emf.cdo.server.db4o:
[java] [eclipse.generateFeature] Unsatisfied import package
com.db4o_[7.4.0,8.0.0).
[java] [eclipse.generateFeature] Unsatisfied import package
com.db4o.config_[7.4.0,8.0.0).
[java] [eclipse.generateFeature] Unsatisfied import package
com.db4o.constraints_[7.4.0,8.0.0).
[java] [eclipse.generateFeature] Unsatisfied import package
com.db4o.ext_[7.4.0,8.0.0).
[java] [eclipse.generateFeature] Unsatisfied import package
com.db4o.query_[7.4.0,8.0.0).
[java] [eclipse.generateFeature] Unsatisfied import package
com.db4o.reflect_[7.4.0,8.0.0).
[java] [eclipse.generateFeature] Unsatisfied import package
com.db4o.reflect.jdk_[7.4.0,8.0.0).
[java] [eclipse.generateFeature] Bundle
org.eclipse.emf.cdo.dawn.tests:
[java] [eclipse.generateFeature] Missing required plug-in
org.eclipse.swtbot.eclipse.core_[2.0.0,3.0.0).
[java] [eclipse.generateFeature] Missing required plug-in
org.eclipse.swtbot.eclipse.finder_[2.0.0,3.0.0).
[java] [eclipse.generateFeature] Missing required plug-in
org.eclipse.swtbot.eclipse.gef.finder_[2.0.0,3.0.0).
[java] [eclipse.generateFeature] Missing required plug-in
org.eclipse.swtbot.eclipse.spy_[2.0.0,3.0.0).
[java] [eclipse.generateFeature] Missing required plug-in
org.eclipse.swtbot.go_[2.0.0,3.0.0).
[java] [eclipse.generateFeature] Missing required plug-in
org.eclipse.swtbot.swt.finder_[2.0.0,3.0.0).
[java] [eclipse.generateFeature] Missing required plug-in
org.eclipse.emf.cdo.tests.ui_[4.0.0,5.0.0).
[java] [eclipse.generateFeature] Missing required plug-in
org.eclipse.emf.cdo.dawn.codegen.dawngenmodel.gmf.ui_1.0.0.
[java] [eclipse.generateFeature] Bundle
org.eclipse.emf.cdo.dawn.codegen.dawngenmodel.gmf.edit:
[java] [eclipse.generateFeature] Missing required plug-in
org.eclipse.emf.cdo.dawn.codegen.dawngenmodel.gmf_[1.0.0,2.0.0).
[java] [eclipse.generateFeature] Bundle
org.eclipse.net4j.db.postgresql:
[java] [eclipse.generateFeature] Unsatisfied import package
org.postgresql_[8.3.0,9.0.0).
[java] [eclipse.generateFeature] Unsatisfied import package
org.postgresql.ds_[8.3.0,9.0.0).
[java] [eclipse.generateFeature] Bundle org.eclipse.emf.cdo.tests.db:
[java] [eclipse.generateFeature] Missing required plug-in
org.eclipse.net4j.db.postgresql_[4.0.0,5.0.0).
[java] [eclipse.generateFeature] Unsatisfied import package
org.postgresql.ds.common_[8.3.0,9.0.0).
[java] [eclipse.generateFeature] Unsatisfied import package
org.postgresql.jdbc3_[8.3.0,9.0.0).
[java] [eclipse.generateFeature] Bundle org.eclipse.emf.cdo.tests.ui:
[java] [eclipse.generateFeature] Missing required plug-in
org.eclipse.swtbot.eclipse.core_[2.0.0,3.0.0).
[java] [eclipse.generateFeature] Missing required plug-in
org.eclipse.swtbot.eclipse.finder_[2.0.0,3.0.0).
[java] [eclipse.generateFeature] Missing required plug-in
org.eclipse.swtbot.eclipse.gef.finder_[2.0.0,3.0.0).
[java] [eclipse.generateFeature] Missing required plug-in
org.eclipse.swtbot.eclipse.spy_[2.0.0,3.0.0).
[java] [eclipse.generateFeature] Missing required plug-in
org.eclipse.swtbot.go_[2.0.0,3.0.0).
[java] [eclipse.generateFeature] Missing required plug-in
org.eclipse.swtbot.swt.finder_[2.0.0,3.0.0).
[java] [eclipse.generateFeature] Bundle
org.eclipse.emf.cdo.dawn.codegen.dawngenmodel.gmf:
[java] [eclipse.generateFeature] Missing required plug-in
org.eclipse.gmf.graphdef.codegen_[2.0.0,3.0.0).
[java] [eclipse.generateFeature] Bundle
org.eclipse.emf.cdo.tests.db4o:
[java] [eclipse.generateFeature] Missing required plug-in
org.eclipse.emf.cdo.server.db4o_1.0.0.
[java] [eclipse.generateFeature] Unsatisfied import package
com.db4o_[7.4.0,8.0.0).
[java] [eclipse.generateFeature] Unsatisfied import package
com.db4o.ext_[7.4.0,8.0.0).
[java] BUILD FAILED
[java]
/home/david/opt2/eclipse/plugins/org.eclipse.pde.build_3.7.0.v20110512-1320/scripts/productBuild/productBuild.xml:39:
The following error occurred while executing this line:
[java]
/home/david/opt2/eclipse/plugins/org.eclipse.pde.build_3.7.0.v20110512-1320/scripts/productBuild/productBuild.xml:69:
Bundle org.eclipse.net4j.db.postgresql_4.0.0.v20110607-1031 failed to
resolve.:
[java] Unsatisfied import package org.postgresql_[8.3.0,9.0.0).
[java] Unsatisfied import package org.postgresql.ds_[8.3.0,9.0.0).
[java] Total time: 15 seconds
[java] An error has occurred. See the log file
[java] /home/david/workspace/.metadata/.log.

I am perplexed as to why. Because I have CDO installed and it is a part
of the bundle, but I do not have some optional parts of CDO installed,
like Dawn, DB40 support, Postgres support. I don't need them and they
are definitely not a part of my dependencies in MANIFEST.MF and
plugin.xml So to be clear none of the missing plugins here are used by
my plugin. So why is it trying to include them? Is there a way I can
find out where these dependencies come from?

Thx.

David
Re: productBuild.xml requiring unncessary plugins? [message #731355 is a reply to message #731322] Fri, 30 September 2011 17:08 Go to previous messageGo to next message
David Wynter is currently offline David Wynter
Messages: 4552
Registered: July 2009
Senior Member
Hi,

Found the reason for the errors below, dropins/plugin was used by my
collegue and he only had one required plugin there, I had all of CDO
there. By removing that I have far fewer errors.

Not sure why it is trying to include a source file plugin?

Caused by:
/home/david/opt2/eclipse/plugins/org.eclipse.pde.build_3.7.0.v20110512-1320/scripts/productBuild/productBuild.xml:69:
Unable to find plug-in: org.eclipse.core.filesystem.source_0.0.0. Please
check the error log for more details.
at
org.eclipse.pde.internal.build.tasks.FeatureGeneratorTask.execute(FeatureGeneratorTask.java:38)

Ideas?

Thx.

David
On 30/09/11 16:26, David Wynter wrote:
> Hi,
>
> We have a build.xml that uses productBuild.xml
>
> [java] Buildfile:
> /home/david/opt2/eclipse/plugins/org.eclipse.pde.build_3.7.0.v20110512-1320/scripts///productBuild/productBuild.xml
>
> [java] main:
> [java] preBuild:
> [java] [mkdir] Created dir: /home/david/pde/build
> [java] preSetup:
> [java] checkLocalMaps:
> [java] getMapFiles:
> [java] postSetup:
> [java] checkLocalBase:
> [java] getBaseComponents:
> [java] processRepos:
> [java] generateFeature:
> [java] fetch:
> [java] generateFeature:
>
> Then some way down I get these errors.
>
> [java] [eclipse.generateFeature] Bundle org.eclipse.net4j.buddies.chat:
> [java] [eclipse.generateFeature] Another singleton version selected:
> org.eclipse.net4j.buddies.chat_4.0.0.v20110516-1727
> [java] [eclipse.generateFeature] Bundle
> org.eclipse.emf.cdo.dawn.codegen.dawngenmodel.gmf.ui:
> [java] [eclipse.generateFeature] Missing required plug-in
> org.eclipse.emf.cdo.dawn.codegen.dawngenmodel.gmf.edit_[1.0.0,2.0.0).
> [java] [eclipse.generateFeature] Missing required plug-in
> org.eclipse.emf.cdo.dawn.codegen.dawngenmodel.gmf_[1.0.0,2.0.0).
> [java] [eclipse.generateFeature] Bundle org.eclipse.emf.cdo.server.db4o:
> [java] [eclipse.generateFeature] Unsatisfied import package
> com.db4o_[7.4.0,8.0.0).
> [java] [eclipse.generateFeature] Unsatisfied import package
> com.db4o.config_[7.4.0,8.0.0).
> [java] [eclipse.generateFeature] Unsatisfied import package
> com.db4o.constraints_[7.4.0,8.0.0).
> [java] [eclipse.generateFeature] Unsatisfied import package
> com.db4o.ext_[7.4.0,8.0.0).
> [java] [eclipse.generateFeature] Unsatisfied import package
> com.db4o.query_[7.4.0,8.0.0).
> [java] [eclipse.generateFeature] Unsatisfied import package
> com.db4o.reflect_[7.4.0,8.0.0).
> [java] [eclipse.generateFeature] Unsatisfied import package
> com.db4o.reflect.jdk_[7.4.0,8.0.0).
> [java] [eclipse.generateFeature] Bundle org.eclipse.emf.cdo.dawn.tests:
> [java] [eclipse.generateFeature] Missing required plug-in
> org.eclipse.swtbot.eclipse.core_[2.0.0,3.0.0).
> [java] [eclipse.generateFeature] Missing required plug-in
> org.eclipse.swtbot.eclipse.finder_[2.0.0,3.0.0).
> [java] [eclipse.generateFeature] Missing required plug-in
> org.eclipse.swtbot.eclipse.gef.finder_[2.0.0,3.0.0).
> [java] [eclipse.generateFeature] Missing required plug-in
> org.eclipse.swtbot.eclipse.spy_[2.0.0,3.0.0).
> [java] [eclipse.generateFeature] Missing required plug-in
> org.eclipse.swtbot.go_[2.0.0,3.0.0).
> [java] [eclipse.generateFeature] Missing required plug-in
> org.eclipse.swtbot.swt.finder_[2.0.0,3.0.0).
> [java] [eclipse.generateFeature] Missing required plug-in
> org.eclipse.emf.cdo.tests.ui_[4.0.0,5.0.0).
> [java] [eclipse.generateFeature] Missing required plug-in
> org.eclipse.emf.cdo.dawn.codegen.dawngenmodel.gmf.ui_1.0.0.
> [java] [eclipse.generateFeature] Bundle
> org.eclipse.emf.cdo.dawn.codegen.dawngenmodel.gmf.edit:
> [java] [eclipse.generateFeature] Missing required plug-in
> org.eclipse.emf.cdo.dawn.codegen.dawngenmodel.gmf_[1.0.0,2.0.0).
> [java] [eclipse.generateFeature] Bundle org.eclipse.net4j.db.postgresql:
> [java] [eclipse.generateFeature] Unsatisfied import package
> org.postgresql_[8.3.0,9.0.0).
> [java] [eclipse.generateFeature] Unsatisfied import package
> org.postgresql.ds_[8.3.0,9.0.0).
> [java] [eclipse.generateFeature] Bundle org.eclipse.emf.cdo.tests.db:
> [java] [eclipse.generateFeature] Missing required plug-in
> org.eclipse.net4j.db.postgresql_[4.0.0,5.0.0).
> [java] [eclipse.generateFeature] Unsatisfied import package
> org.postgresql.ds.common_[8.3.0,9.0.0).
> [java] [eclipse.generateFeature] Unsatisfied import package
> org.postgresql.jdbc3_[8.3.0,9.0.0).
> [java] [eclipse.generateFeature] Bundle org.eclipse.emf.cdo.tests.ui:
> [java] [eclipse.generateFeature] Missing required plug-in
> org.eclipse.swtbot.eclipse.core_[2.0.0,3.0.0).
> [java] [eclipse.generateFeature] Missing required plug-in
> org.eclipse.swtbot.eclipse.finder_[2.0.0,3.0.0).
> [java] [eclipse.generateFeature] Missing required plug-in
> org.eclipse.swtbot.eclipse.gef.finder_[2.0.0,3.0.0).
> [java] [eclipse.generateFeature] Missing required plug-in
> org.eclipse.swtbot.eclipse.spy_[2.0.0,3.0.0).
> [java] [eclipse.generateFeature] Missing required plug-in
> org.eclipse.swtbot.go_[2.0.0,3.0.0).
> [java] [eclipse.generateFeature] Missing required plug-in
> org.eclipse.swtbot.swt.finder_[2.0.0,3.0.0).
> [java] [eclipse.generateFeature] Bundle
> org.eclipse.emf.cdo.dawn.codegen.dawngenmodel.gmf:
> [java] [eclipse.generateFeature] Missing required plug-in
> org.eclipse.gmf.graphdef.codegen_[2.0.0,3.0.0).
> [java] [eclipse.generateFeature] Bundle org.eclipse.emf.cdo.tests.db4o:
> [java] [eclipse.generateFeature] Missing required plug-in
> org.eclipse.emf.cdo.server.db4o_1.0.0.
> [java] [eclipse.generateFeature] Unsatisfied import package
> com.db4o_[7.4.0,8.0.0).
> [java] [eclipse.generateFeature] Unsatisfied import package
> com.db4o.ext_[7.4.0,8.0.0).
> [java] BUILD FAILED
> [java]
> /home/david/opt2/eclipse/plugins/org.eclipse.pde.build_3.7.0.v20110512-1320/scripts/productBuild/productBuild.xml:39:
> The following error occurred while executing this line:
> [java]
> /home/david/opt2/eclipse/plugins/org.eclipse.pde.build_3.7.0.v20110512-1320/scripts/productBuild/productBuild.xml:69:
> Bundle org.eclipse.net4j.db.postgresql_4.0.0.v20110607-1031 failed to
> resolve.:
> [java] Unsatisfied import package org.postgresql_[8.3.0,9.0.0).
> [java] Unsatisfied import package org.postgresql.ds_[8.3.0,9.0.0).
> [java] Total time: 15 seconds
> [java] An error has occurred. See the log file
> [java] /home/david/workspace/.metadata/.log.
>
> I am perplexed as to why. Because I have CDO installed and it is a part
> of the bundle, but I do not have some optional parts of CDO installed,
> like Dawn, DB40 support, Postgres support. I don't need them and they
> are definitely not a part of my dependencies in MANIFEST.MF and
> plugin.xml So to be clear none of the missing plugins here are used by
> my plugin. So why is it trying to include them? Is there a way I can
> find out where these dependencies come from?
>
> Thx.
>
> David
Re: productBuild.xml requiring unncessary plugins? [message #735964 is a reply to message #731355] Thu, 13 October 2011 08:46 Go to previous messageGo to next message
David Wynter is currently offline David Wynter
Messages: 4552
Registered: July 2009
Senior Member
Hi,

Still cannot build my bundle due to the error below. Leaving aside why
productBuild.xml would include a source file plugin. I am not sure
where I can find this org.eclipse.core.filesystem.source_0.0.0 plugin?

Any pointers?

Thx.

David

On 30/09/11 18:08, David Wynter wrote:
> Hi,
>
> Found the reason for the errors below, dropins/plugin was used by my
> collegue and he only had one required plugin there, I had all of CDO
> there. By removing that I have far fewer errors.
>
> Not sure why it is trying to include a source file plugin?
>
> Caused by:
> /home/david/opt2/eclipse/plugins/org.eclipse.pde.build_3.7.0.v20110512-1320/scripts/productBuild/productBuild.xml:69:
> Unable to find plug-in: org.eclipse.core.filesystem.source_0.0.0. Please
> check the error log for more details.
> at
> org.eclipse.pde.internal.build.tasks.FeatureGeneratorTask.execute(FeatureGeneratorTask.java:38)
>
>
> Ideas?
>
> Thx.
>
> David
> On 30/09/11 16:26, David Wynter wrote:
>> Hi,
>>
>> We have a build.xml that uses productBuild.xml
>>
>> [java] Buildfile:
>> /home/david/opt2/eclipse/plugins/org.eclipse.pde.build_3.7.0.v20110512-1320/scripts///productBuild/productBuild.xml
>>
>>
>> [java] main:
>> [java] preBuild:
>> [java] [mkdir] Created dir: /home/david/pde/build
>> [java] preSetup:
>> [java] checkLocalMaps:
>> [java] getMapFiles:
>> [java] postSetup:
>> [java] checkLocalBase:
>> [java] getBaseComponents:
>> [java] processRepos:
>> [java] generateFeature:
>> [java] fetch:
>> [java] generateFeature:
>>
>> Then some way down I get these errors.
>>
>> [java] [eclipse.generateFeature] Bundle org.eclipse.net4j.buddies.chat:
>> [java] [eclipse.generateFeature] Another singleton version selected:
>> org.eclipse.net4j.buddies.chat_4.0.0.v20110516-1727
>> [java] [eclipse.generateFeature] Bundle
>> org.eclipse.emf.cdo.dawn.codegen.dawngenmodel.gmf.ui:
>> [java] [eclipse.generateFeature] Missing required plug-in
>> org.eclipse.emf.cdo.dawn.codegen.dawngenmodel.gmf.edit_[1.0.0,2.0.0).
>> [java] [eclipse.generateFeature] Missing required plug-in
>> org.eclipse.emf.cdo.dawn.codegen.dawngenmodel.gmf_[1.0.0,2.0.0).
>> [java] [eclipse.generateFeature] Bundle org.eclipse.emf.cdo.server.db4o:
>> [java] [eclipse.generateFeature] Unsatisfied import package
>> com.db4o_[7.4.0,8.0.0).
>> [java] [eclipse.generateFeature] Unsatisfied import package
>> com.db4o.config_[7.4.0,8.0.0).
>> [java] [eclipse.generateFeature] Unsatisfied import package
>> com.db4o.constraints_[7.4.0,8.0.0).
>> [java] [eclipse.generateFeature] Unsatisfied import package
>> com.db4o.ext_[7.4.0,8.0.0).
>> [java] [eclipse.generateFeature] Unsatisfied import package
>> com.db4o.query_[7.4.0,8.0.0).
>> [java] [eclipse.generateFeature] Unsatisfied import package
>> com.db4o.reflect_[7.4.0,8.0.0).
>> [java] [eclipse.generateFeature] Unsatisfied import package
>> com.db4o.reflect.jdk_[7.4.0,8.0.0).
>> [java] [eclipse.generateFeature] Bundle org.eclipse.emf.cdo.dawn.tests:
>> [java] [eclipse.generateFeature] Missing required plug-in
>> org.eclipse.swtbot.eclipse.core_[2.0.0,3.0.0).
>> [java] [eclipse.generateFeature] Missing required plug-in
>> org.eclipse.swtbot.eclipse.finder_[2.0.0,3.0.0).
>> [java] [eclipse.generateFeature] Missing required plug-in
>> org.eclipse.swtbot.eclipse.gef.finder_[2.0.0,3.0.0).
>> [java] [eclipse.generateFeature] Missing required plug-in
>> org.eclipse.swtbot.eclipse.spy_[2.0.0,3.0.0).
>> [java] [eclipse.generateFeature] Missing required plug-in
>> org.eclipse.swtbot.go_[2.0.0,3.0.0).
>> [java] [eclipse.generateFeature] Missing required plug-in
>> org.eclipse.swtbot.swt.finder_[2.0.0,3.0.0).
>> [java] [eclipse.generateFeature] Missing required plug-in
>> org.eclipse.emf.cdo.tests.ui_[4.0.0,5.0.0).
>> [java] [eclipse.generateFeature] Missing required plug-in
>> org.eclipse.emf.cdo.dawn.codegen.dawngenmodel.gmf.ui_1.0.0.
>> [java] [eclipse.generateFeature] Bundle
>> org.eclipse.emf.cdo.dawn.codegen.dawngenmodel.gmf.edit:
>> [java] [eclipse.generateFeature] Missing required plug-in
>> org.eclipse.emf.cdo.dawn.codegen.dawngenmodel.gmf_[1.0.0,2.0.0).
>> [java] [eclipse.generateFeature] Bundle org.eclipse.net4j.db.postgresql:
>> [java] [eclipse.generateFeature] Unsatisfied import package
>> org.postgresql_[8.3.0,9.0.0).
>> [java] [eclipse.generateFeature] Unsatisfied import package
>> org.postgresql.ds_[8.3.0,9.0.0).
>> [java] [eclipse.generateFeature] Bundle org.eclipse.emf.cdo.tests.db:
>> [java] [eclipse.generateFeature] Missing required plug-in
>> org.eclipse.net4j.db.postgresql_[4.0.0,5.0.0).
>> [java] [eclipse.generateFeature] Unsatisfied import package
>> org.postgresql.ds.common_[8.3.0,9.0.0).
>> [java] [eclipse.generateFeature] Unsatisfied import package
>> org.postgresql.jdbc3_[8.3.0,9.0.0).
>> [java] [eclipse.generateFeature] Bundle org.eclipse.emf.cdo.tests.ui:
>> [java] [eclipse.generateFeature] Missing required plug-in
>> org.eclipse.swtbot.eclipse.core_[2.0.0,3.0.0).
>> [java] [eclipse.generateFeature] Missing required plug-in
>> org.eclipse.swtbot.eclipse.finder_[2.0.0,3.0.0).
>> [java] [eclipse.generateFeature] Missing required plug-in
>> org.eclipse.swtbot.eclipse.gef.finder_[2.0.0,3.0.0).
>> [java] [eclipse.generateFeature] Missing required plug-in
>> org.eclipse.swtbot.eclipse.spy_[2.0.0,3.0.0).
>> [java] [eclipse.generateFeature] Missing required plug-in
>> org.eclipse.swtbot.go_[2.0.0,3.0.0).
>> [java] [eclipse.generateFeature] Missing required plug-in
>> org.eclipse.swtbot.swt.finder_[2.0.0,3.0.0).
>> [java] [eclipse.generateFeature] Bundle
>> org.eclipse.emf.cdo.dawn.codegen.dawngenmodel.gmf:
>> [java] [eclipse.generateFeature] Missing required plug-in
>> org.eclipse.gmf.graphdef.codegen_[2.0.0,3.0.0).
>> [java] [eclipse.generateFeature] Bundle org.eclipse.emf.cdo.tests.db4o:
>> [java] [eclipse.generateFeature] Missing required plug-in
>> org.eclipse.emf.cdo.server.db4o_1.0.0.
>> [java] [eclipse.generateFeature] Unsatisfied import package
>> com.db4o_[7.4.0,8.0.0).
>> [java] [eclipse.generateFeature] Unsatisfied import package
>> com.db4o.ext_[7.4.0,8.0.0).
>> [java] BUILD FAILED
>> [java]
>> /home/david/opt2/eclipse/plugins/org.eclipse.pde.build_3.7.0.v20110512-1320/scripts/productBuild/productBuild.xml:39:
>>
>> The following error occurred while executing this line:
>> [java]
>> /home/david/opt2/eclipse/plugins/org.eclipse.pde.build_3.7.0.v20110512-1320/scripts/productBuild/productBuild.xml:69:
>>
>> Bundle org.eclipse.net4j.db.postgresql_4.0.0.v20110607-1031 failed to
>> resolve.:
>> [java] Unsatisfied import package org.postgresql_[8.3.0,9.0.0).
>> [java] Unsatisfied import package org.postgresql.ds_[8.3.0,9.0.0).
>> [java] Total time: 15 seconds
>> [java] An error has occurred. See the log file
>> [java] /home/david/workspace/.metadata/.log.
>>
>> I am perplexed as to why. Because I have CDO installed and it is a part
>> of the bundle, but I do not have some optional parts of CDO installed,
>> like Dawn, DB40 support, Postgres support. I don't need them and they
>> are definitely not a part of my dependencies in MANIFEST.MF and
>> plugin.xml So to be clear none of the missing plugins here are used by
>> my plugin. So why is it trying to include them? Is there a way I can
>> find out where these dependencies come from?
>>
>> Thx.
>>
>> David
>
Re: productBuild.xml requiring unncessary plugins? [message #889375 is a reply to message #735964] Tue, 19 June 2012 07:11 Go to previous message
Alexander Haag is currently offline Alexander Haag
Messages: 114
Registered: July 2009
Senior Member
Hi David,

I've got the same problem you described, but my missing plugin is commons-beanutils.

I think it has nothing to do with the productBuild itself but with the plugins defining your build-base or the plugins defined in your product.

Have you found a solution? If so, please tell me so that I can resolve my problem too.

target_eclipse/plugins/org.eclipse.pde.build_3.7.0.v20111116-2009/scripts/productBuild/productBuild.xml:69: Unable to find plug-in: commons.beanutils_0.0.0. Please check the error log for more details.


Many thanks,
Alex
Previous Topic:the problem of rcp project move from JDK 32bit to jdk 64bit
Next Topic:VerticalRuler
Goto Forum:
  


Current Time: Sat Sep 20 02:13:48 GMT 2014

Powered by FUDForum. Page generated in 0.10573 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software